{ inputs, pkgs, config, lib,... }:
{
 home.packages = with pkgs; [

 ];

  programs.floorp = {
    enable = true;
    profiles.default = {
      extensions.packages = with inputs.firefox-addons.packages.${pkgs.system}; [
        ublock-origin
        vimium
        darkreader
        sidebery
        bitwarden
      ];
      # extensions.force.settings = {
      #   dark-reader = {
      #
      #   };
      # };

      extensions.force.settings.sidebery = {
        # Beispielhafte Einstellungen für Sidebery
        "showInSidebar" = true;  # Stelle sicher, dass Sidebery in der Sidebar angezeigt wird
        "showOtherExtensions" = false;  # Verstecke andere Extensions
      };

      settings = {

        "ui.systemUsesDarkTheme" = 1;
        "floorp.delete.browser.border" = true;
        "floorp.chrome.theme.mode" = 2;
        "floorp.browser.tabbar.settings" = 2;
        "floorp.Tree-type.verticaltab.optimization" = true;
        "floorp.bookmarks.bar.focus.mode" = true;
      };
    };
  };




}
